QT += xml
TARGET = microSynth
TEMPLATE = app
SOURCES += main.cpp \
    mainwindow.cpp \
    include/SoundGen.cpp \
    include/RtMidi.cpp \
    include/RtAudio.cpp \
    QSynthKnob.cxx \
    midiIO.cpp \
    audioIO.cpp \
    synthAct.cpp
HEADERS += mainwindow.h \
    include/SoundGen.h \
    include/RtMidi.h \
    include/RtError.h \
    include/RtAudio.h \
    QSynthKnob.hxx \
    include/microSynth.h \
    include/microSynth.h \
    include/synthAct.h
FORMS += mainwindow.ui
LIBS += -lasound \
    -ljack \
    -lrt
QMAKE_CXXFLAGS += -D__LINUX_ALSASEQ__ \
    -D__UNIX_JACK__ \
    -D__LINUX_ALSA__ \
    -O2 \
    -march=native \
    -fomit-frame-pointer
RESOURCES += resources.qrc
